package com.foreverwin.mesnac.meapi.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-19
 */

@TableName("INVENTORY_ASSY_DATA")
public class InventoryAssyData extends Model<InventoryAssyData> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("INVENTORY_BO")
   private String inventoryBo;
   @TableField("SEQUENCE")
   private Long sequence;
   @TableField("DATA_FIELD")
   private String dataField;
   @TableField("DATA_ATTR")
   private String dataAttr;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getInventoryBo() {
      return inventoryBo;
   }

   public void setInventoryBo(String inventoryBo) {
      this.inventoryBo = inventoryBo;
   }

   public Long getSequence() {
      return sequence;
   }

   public void setSequence(Long sequence) {
      this.sequence = sequence;
   }

   public String getDataField() {
      return dataField;
   }

   public void setDataField(String dataField) {
      this.dataField = dataField;
   }

   public String getDataAttr() {
      return dataAttr;
   }

   public void setDataAttr(String dataAttr) {
      this.dataAttr = dataAttr;
   }

public static final String HANDLE = "HANDLE";

public static final String INVENTORY_BO = "INVENTORY_BO";

public static final String SEQUENCE = "SEQUENCE";

public static final String DATA_FIELD = "DATA_FIELD";

public static final String DATA_ATTR = "DATA_ATTR";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "InventoryAssyData{" +
         "handle = " + handle +
         ", inventoryBo = " + inventoryBo +
         ", sequence = " + sequence +
         ", dataField = " + dataField +
         ", dataAttr = " + dataAttr +
         "}";
   }
}